Bug 147961 - Crash: Typing "++" and press Enter (AutoCorrect Create Table)
Summary: Crash: Typing "++" and press Enter (AutoCorrect Create Table)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2022-03-13 13:19 UTC by Ming Hua
Modified: 2022-03-23 13:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
GDB trace of crash (8.51 KB, text/plain)
2022-03-13 14:16 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2022-03-13 13:19:23 UTC
Steps to Reproduce:
1. New blank document in Writer
2. Type "++" (two plus sign characters), then press Enter key
3. LO crashes

Reported by a user in our Chinese user chat group, with 7.3.1 on Linux.  Reproduced by another user with 7.3.2 RC1 on Windows.  I can also reproduce with:
Version: 7.3.1.3 (x64) / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 12; OS: Windows 10.0 Build 22000; UI render: Skia/Vulkan; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: CL
Comment 1 Ming Hua 2022-03-13 13:25:00 UTC
No crash in 7.0.6:
Version: 7.0.6.2 (x64)
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 12; OS: Windows 10.0 Build 22000; UI render: Skia/Vulkan; VCL: win
Locale: zh-CN (zh_CN); UI: en-US
Calc: CL

Tagged as regression and bibisection requested.

In 7.0.6, pressing Enter key creates an empty, 1x1 table.  Not sure what this special feature is called and how to disable it.
Comment 2 Buovjaga 2022-03-13 14:15:39 UTC
The functionality is AutoCorrect Create Table. Will attach backtrace.

Bibisected with Linux 7.3 repo to
https://git.libreoffice.org/core/commit/7cd5b35caa8d4fa9d0ba2b2c6ce4b88726ed2be6
return SwCursor from IShellCursorSupplier

Adding Cc: to Noel Grandin
Comment 3 Buovjaga 2022-03-13 14:16:15 UTC
Created attachment 178860 [details]
GDB trace of crash

Arch Linux 64-bit
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 66a9795f27fda887d9f66d0d8bb196fd636fe452
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded Jumbo
Built on 7 March 2022
Comment 4 Julien Nabet 2022-03-13 15:13:51 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this with gtk3 (but not interesting bt) and gen rendering (about the same bt as already attached).
Comment 5 Commit Notification 2022-03-13 18:34:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c7f00a89a675dad541d32ea60695a7b11210102

tdf#147961 Crash Typing "++" and press Enter (AutoCorrect Create Table)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2022-03-13 20:02:34 UTC
With master sources updated today including Noel's patch, I don't reproduce the crash anymore.
Thank you Noel!
Comment 7 Commit Notification 2022-03-14 07:27:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/bcd3275a8c2088308970e012cf39c4753f5e582a

tdf#147961 Crash Typing "++" and press Enter (AutoCorrect Create Table)

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Jean-Baptiste Faure 2022-03-14 08:47:56 UTC
Verified fixed in LO 7.3.3.0.0+.

Thank you Noel for the quick fix.

Best regards. JBF
Comment 9 Commit Notification 2022-03-14 12:34:14 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d6c4ec7b00f3fe7b60f6155de4e7564a4dc72c28

tdf#147961: sw_uiwriter3: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-03-23 12:47:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-2":

https://git.libreoffice.org/core/commit/019a9f623736df1e3b4b817828ee09b439acf09e

tdf#147961 Crash Typing "++" and press Enter (AutoCorrect Create Table)

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.